/**
 * Cohere: Models for text generation
 * @export
 */
export var CohereModel;
(function (CohereModel) {
    CohereModel["CommandRPlus"] = "command-r-plus";
    CohereModel["CommandR"] = "command-r";
    CohereModel["Command"] = "command";
    CohereModel["CommandLight"] = "command-light";
})(CohereModel || (CohereModel = {}));
/**
 * Cohere: Models for use in embeddings
 * @export
 */
export var CohereEmbedModel;
(function (CohereEmbedModel) {
    CohereEmbedModel["EmbedEnglishV30"] = "embed-english-v3.0";
    CohereEmbedModel["EmbedEnglishLightV30"] = "embed-english-light-v3.0";
    CohereEmbedModel["EmbedMultiLingualV30"] = "embed-multilingual-v3.0";
    CohereEmbedModel["EmbedMultiLingualLightV30"] = "embed-multilingual-light-v3.0";
})(CohereEmbedModel || (CohereEmbedModel = {}));
//# sourceMappingURL=types.js.map