import type { TextModelInfo, TextResponse, TextResponseResult } from './types.js';
export declare const findItemByNameOrAlias: (list: readonly TextModelInfo[], name: string) => TextModelInfo | undefined;
export declare const uniqBy: <T>(array: readonly T[], uniqueField: (value: T) => unknown) => T[];
export declare const parseFunction: (value: string) => {
    name: string;
    args?: string;
} | undefined;
export interface mergeFunctionsState {
    lastId: string;
}
export declare function mergeFunctionCalls(functionCalls: NonNullable<TextResponseResult['functionCalls']>, functionCallDeltas: Readonly<NonNullable<TextResponseResult['functionCalls']>>, state?: mergeFunctionsState): NonNullable<TextResponseResult['functionCalls']>[0] | undefined;
export declare function mergeTextResponses(responses: readonly TextResponse[]): TextResponse;
export declare const hashObject: (obj: object) => string;
