/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
export interface ApacheTikaArgs {
    url?: string | URL;
    fetch?: typeof fetch;
}
export interface ApacheTikaConvertOptions {
    format?: 'text' | 'html';
}
export declare class ApacheTika {
    private tikaUrl;
    private fetch?;
    constructor(args?: Readonly<ApacheTikaArgs>);
    private _convert;
    convert(files: Readonly<string[] | Blob[]>, options?: Readonly<{
        batchSize?: number;
        format?: 'html' | 'text';
    }>): Promise<string[]>;
}
export default ApacheTika;
