export class InstanceRegistry {
    reg; // To track keys for iteration
    constructor() {
        this.reg = new Set();
    }
    register(instance) {
        this.reg.add(instance);
    }
    *[Symbol.iterator]() {
        for (const key of this.reg) {
            yield key;
        }
    }
}
//# sourceMappingURL=registry.js.map