import type { AITextFunction, AITextFunctionHandler } from '../text/functions.js';
import type { AIService, AIServiceActionOptions } from '../text/types.js';
export declare const EmbedAdapter: (ai: AIService, info: Readonly<{
    name: string;
    description: string;
    argumentDescription: string;
}>, func: (args: readonly number[], extra?: Readonly<AIServiceActionOptions>) => Promise<any>) => AITextFunction;
export declare const embedAdapter: (ai: AIService, text: string, func: AITextFunctionHandler, extra?: Readonly<AIServiceActionOptions>) => Promise<any>;
