import { Generate, type GenerateOptions } from '../dsp/generate.js';
import type { GenIn, GenOut } from '../dsp/program.js';
import { Signature } from '../dsp/sig.js';
import type { AIService } from '../text/types.js';
export declare class ChainOfThought<IN extends GenIn = GenIn, OUT extends GenOut = GenOut> extends Generate<IN, OUT & {
    reason: string;
}> {
    constructor(ai: AIService, signature: Readonly<Signature | string>, options?: Readonly<GenerateOptions>);
}
