/**
 * Mistral: Models for text generation
 * @export
 */
export declare enum MistralModel {
    Mistral7B = "open-mistral-7b",
    Mistral8x7B = "open-mixtral-8x7b",
    MistralSmall = "mistral-small-latest",
    MistralMedium = "mistral-medium-latest",
    MistralLarge = "mistral-large-latest"
}
/**
 * Mistral: Models for use in embeddings
 * @export
 */
export declare enum MistralEmbedModels {
    MistralEmbed = "mistral-embed"
}
