/**
 * Mistral: Models for text generation
 * @export
 */
export var MistralModel;
(function (MistralModel) {
    MistralModel["Mistral7B"] = "open-mistral-7b";
    MistralModel["Mistral8x7B"] = "open-mixtral-8x7b";
    MistralModel["MistralSmall"] = "mistral-small-latest";
    MistralModel["MistralMedium"] = "mistral-medium-latest";
    MistralModel["MistralLarge"] = "mistral-large-latest";
})(MistralModel || (MistralModel = {}));
/**
 * Mistral: Models for use in embeddings
 * @export
 */
export var MistralEmbedModels;
(function (MistralEmbedModels) {
    MistralEmbedModels["MistralEmbed"] = "mistral-embed";
})(MistralEmbedModels || (MistralEmbedModels = {}));
//# sourceMappingURL=types.js.map