import { Generate, type GenerateOptions, type ProgramForwardOptions } from '../dsp/index.js';
import type { AIService } from '../text/index.js';
import type { RerankerIn, RerankerOut } from './manager.js';
export declare class DefaultResultReranker extends Generate<RerankerIn, RerankerOut> {
    constructor(ai: AIService, options?: Readonly<GenerateOptions>);
    forward: (input: Readonly<RerankerIn>, options?: Readonly<ProgramForwardOptions>) => Promise<RerankerOut>;
}
