import { Generate } from '../dsp/generate.js';
import { Signature } from '../dsp/sig.js';
export class ChainOfThought extends Generate {
    constructor(ai, signature, options) {
        const sig = new Signature(signature);
        const description = `Let's work this out in a step by step way in order to ensure we have the right answer.`;
        sig.setOutputFields([
            {
                name: 'reason',
                description
            },
            ...sig.getOutputFields()
        ]);
        super(ai, sig, options);
    }
}
//# sourceMappingURL=cot.js.map