import type { GenerateOptions } from '../dsp/generate.js';
import type { GenIn, GenOut } from '../dsp/program.js';
import { Signature } from '../dsp/sig.js';
import type { AIService } from '../text/types.js';
import { ChainOfThought } from './cot.js';
export declare class ReAct<IN extends GenIn = GenIn, OUT extends GenOut = GenOut> extends ChainOfThought<IN, OUT> {
    constructor(ai: AIService, signature: Readonly<Signature | string>, options: Readonly<GenerateOptions>);
}
